Gönderen Konu: [Nasıl] Elektronik imza (E-imza) Kurulumu  (Okunma sayısı 66243 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

« Yanıtla #1 : »
Önemli Not: Elektronik imza kullanımı için çok çeşitli kart okuyucular ve akıllı kartlar mevcuttur. Bu anlatımda CCID pakedi tarafından sürücüleri sağlanan bir kart okuyucu ile AKIS firmasının kullanıma sunduğu akıllı kart örnek alınmıştır. Piyasada bulunan her bir kart okuyucu ve akıllı kartın sisteme kurulabilmesi için ihtiyaç duyduğu gerekliliklerin farklı olabileceği gözönünde bulundurulmalıdır.




Kurulum ve kullanım için gerekli olan paketler:

  • Akıllı Kart Okuyucu sürücüsü
  • Akıllı Kart İşletim Sistemi (AKİS)

Her iki paket Kamu SM® adresinden dağıtılıyor.

Adım 1:

Akıllı Kart Okuyucu sürücüsü olarak yukarıdaki bağlantıyla ulaşılan veya kartın satın alındığı şirket tarafından sağlanan paket standart program derleme işlemiyle kurulmalıdır.

Tübitak'ın sağladığı okuyuculardan birini kullanıyorum; bana önerilen CCID  pakedi oldu.

CCID ile desteklenen kart okuyucularının listesi:

Alıntı
  - ActivCard USB reader 3.0
  - Advanced Card Systems ACR 38U-CCID
  - Alcor Micro AU9520
  - Athena ASE IIIe USB V2
  - Athena ASE IIIe KB USB
  - Axalto Reflex USB v3
  - Blutronics Bludrive II CCID
  - C3PO LTC31
  - C3PO LTC32
  - C3PO KBR36
  - C3PO TLTC2USB
  - Charismathics token
  - Cherry XX33 keyboard
  - Cherry XX44 keyboard
  - Cherry SmartTerminal ST2XXX
  - Cherry ST-1044U
  - Dell keyboard SK-3106
  - Dell smart card reader keyboard
  - Eutron SIM Pocket Combo
  - Eutron CryptoIdentity
  - Eutron Smart Pocket
  - Eutron Digipass 860
  - Fujitsu Siemens Computers SmartCard USB 2A
  - Fujitsu Siemens Computers SmartCard Keyboard USB 2A
  - Gemplus GemPC 433 SL
  - Gemplus GemPC Key
  - Gemplus GemPC PinPad
  - Gemplus GemPC Twin
  - Gemplus GemCore POS Pro
  - Gemplus GemCore SIM Pro
  - Giesecke & Devrient StarSign Card Token 350
  - Giesecke & Devrient StarSign Card Token 550
  - HP USB Smart Card Keyboard
  - HP USB Smartcard Reader
  - id3 Semiconductors CL1356D
  - id3 Semiconductors CL1356T
  - Kobil KAAN Base
  - Kobil KAAN Advanced
  - Kobil KAAN SIM III
  - Kobil mIDentity
  - Lexar Smart Enterprise Guardian
  - EMV CAP - SecOVID Reader III
  - Lenovo Integrated Smart Card Reader
  - O2Micro oz776
  - OmniKey CardMan 1021
  - OmniKey CardMan 3021
  - OmniKey CardMan 3121
  - OmniKey CardMan 3621
  - OmniKey CardMan 3821
  - OmniKey CardMan 3621
  - OmniKey CardMan 4321
  - OmniKey CardMan 5121
  - OmniKey CardMan 5125
  - OmniKey CardMan 5321
  - OmniKey CardMan 6121
  - Philips Semiconductors JCOP41V221" ICCD card
  - Reiner-SCT cyberJack pinpad(a)
  - RSA SecureID SID800
  - SCM Micro SCR 331
  - SCM Micro SCR 331-DI
  - SCM Micro SCR 331-DI NTTCom
  - SCM Micro SCR 3310
  - SCM Micro SCR 3310 NTTCom
  - SCM Micro SCR 3311
  - SCM Micro SCR 3320
  - SCM Micro SCR 333
  - SCM SCR 3340 ExpressCard54
  - SCM Micro SCR 335
  - SCM Micro SCR 355
  - SCM Micro SPR 532
  - SCM Micro SDI 010
  - SCM SCR 3340 ExpressCard54
  - SmartEpad (v 2.0)
  - Silitek SK-3105 keyboard
  - SchlumbergerSema Cyberflex Access e-gate ICCD
  - Verisign Secure Storage Token
  - Verisign Secure Token
  - Winbond Electronics W81E381 (for OEM only)
  - Xiring Teo

Ayrıca deb paketi olarak da (libccid) ubuntu depolarında mevcut. Depodan kurarken ihtiyaç olan pcscd pakedini de kendisi kuruyor. Kurmazsa dâhi:

Kod: [Seç]
sudo apt-get install libccid pcscd
Adım 2:

Tübitak tarafından geliştirilen AKİS ise,  sun-java6-jre pakedine ihtiyaç duyuyor. Java kurulumu için bu konuya bakın.

Bağımlılığı sağladıktan sonra buradan veya buradan indirilecek paket açılarak alttaki komutu vermek yeterli:

Kod: [Seç]
sudo sh install.sh
Bu aşamadan sonra uygulama menüler içerisinde kendisine yer buluyor:

System Tools -> AKIS SmartCard Viewer


Tüm işlemler sorunsuz bittiyse IMZAGER ile belgelerinizi imzalayabilir, www.turkiye.gov.tr adresine girerek e-devlet uygulamalarını kullanabilirsiniz.
« Son Düzenleme: 16 Mart 2015 - 11:42:15 Gönderen: bytan »
Umut en büyük kötülüktür; işkenceyi uzatır. - F.N.

Bir şey ne ise odur, bu kadar. Öyleyse, iki şey arasında bağdaşıklık varsa, bu aralarında iletişim kuruyorlar demek değildir.
"... kavrayışını bilgi ile derinleştir ..."
PF @ ST

« Yanıtla #25 : »

    Akis uç birimini çalıştırdığımda kartı görmem gerekiyor ancak kartı göremiyorum.
    liccdi,pcscd ve java kurulumları tam onlarda bir sorun yok.
    Kullanmış olduğum sistem 32 bit.

www.kamusm.gov.tr adresindeki acr38t sürücü ve akis sürücülerini indirdim yönergeleri takip ederek kurdum.

Ancak çalışmıyor. Pardus da çalıştırmakta hiç zorlanmamıştım. Ama ubuntu neden bu şekilde sorun çıkardı hala anlamıyorum.


Mesaj tekrarı yüzünden mesajınız birleştirildi. Bu mesajın gönderim tarihi : 13 Şubat 2012 - 00:02:28
Şimdi her şeyi yeniden kurmak sureti ile en azından cart okuyucuyu lsusb çıktısında görmeye başladım.


Bus 001 Device 003: ID 04f2:b203 Chicony Electronics Co., Ltd
Bus 002 Device 002: ID 15d9:0a4c Trust International B.V. USB+PS/2 Optical Mouse
Bus 003 Device 003: ID 072f:90cc Advanced Card Systems, Ltd ACR38 SmartCard Reader


akisi kurduğumda kartı görüyorum ancak karta giriş yapamıyorum



bu şekilde bir uyarı hatası almaya başladım.
« Son Düzenleme: 13 Şubat 2012 - 00:02:43 Gönderen: yildiz2005 »

« Yanıtla #26 : »
Konuya cok hakim degilim ama opensc isimli bir paket varmis PKCS15 araclarini saglayan. O paketi kurup deneyebilirsiniz.

Kod: [Seç]
sudo apt-get install opensc

« Yanıtla #27 : »
Belirtmiş olduğunuz programı yükleyince bu sefer tamamen eski hale döndü

şimdi lsusb komutu verdiğimde usb sürücüyü görüyor.
Ancak lsmod komutunu verdiğimde ise söz konusu aygıt görünmüyor


« Yanıtla #28 : »
Kurulum yaparken indirdiğin dosyanın içinden iki tane sürücü çıkıyor. Bu dosyalardan hangisini kurdun? Aslında mümkün olsaydı tüm kurulum adımlarını da görebilmeyi isterdim. Şu anki durumda alttakilerin çıktısı ne oluyor?

Kod: [Seç]
dpkg -l | grep pcscd
dpkg -l | grep libccid
dpkg -l | grep sun-java
ps aux | grep pcscd

Akis'i uçbirimden çalıştırıp çıktıyı aktarabilir misin? Bu çıktı ekran görüntüsünde olduğundan daha fazla bilgi içeriyor olabilir.

Pardus'ta daha kolay çalışması normal. Sonuçta ikisi de (kamusm ve pardus) aynı kurum tarafından oluşturuluyor ve pardus'un amacına uygun olarak elektronik imza için gerekli sürücü, paket ve servisler daha sıkıntısız kurulup kullanılabiliyor.
Umut en büyük kötülüktür; işkenceyi uzatır. - F.N.

Bir şey ne ise odur, bu kadar. Öyleyse, iki şey arasında bağdaşıklık varsa, bu aralarında iletişim kuruyorlar demek değildir.
"... kavrayışını bilgi ile derinleştir ..."
PF @ ST

« Yanıtla #29 : »
@yildiz2005 konuyu sizin acinizdan daha fazla karmasiklastirmak istemiyorum @bytan'inkine alternatif bir cozum yontemi izlemeye calisarak ama opensc kurulumundan sonra daha once kurulumunu yaptiginiz sekilde tekrar indirdiginiz programlari kurar misiniz? Eger onun ardindan da calismazsa @bytan'in sizden bekledigi ciktilara gore verecegi cevaplari izlersiniz. Bunu onerdim cunku kolay denenebilecek bir sey ve calisirsa bir suru sey denenmemis olacak tekrardan.

« Yanıtla #30 : »
Kurulum yaparken usb sürücüsü olarak ilk olarak 1. sini kurdum .

Daha sonra ıkıntı çıkması sebebi ile 2. sini de kurdum. Yani şu anda dosyadan çıkan 2 uygulamayı da kurdum

Akis açıkken vermiş olduğunuz komut çıktılarını sunuyorum.


Kod: [Seç]
kadir@kadir-laptop:~$ dpkg -l | grep pcscd
ii  pcscd                                  1.7.2-2ubuntu2                          Middleware to access a smart card using PC/SC (daemon side)
kadir@kadir-laptop:~$ dpkg -l | grep libccid
ii  libccid                                1.4.4-1                                 PC/SC driver for USB CCID smart card readers
kadir@kadir-laptop:~$ dpkg -l | grep sun-java
ii  sun-java6-bin                          6.26-1~lffl~oneiric~ppa                 Sun Java(TM) Runtime Environment (JRE) 6 (architecture dependent files)
ii  sun-java6-jre                          6.26-1~lffl~oneiric~ppa                 Sun Java(TM) Runtime Environment (JRE) 6 (architecture independent files)
ii  sun-java6-plugin                       6.26-1~lffl~oneiric~ppa                 Java(TM) Plug-in, Java SE 6
kadir@kadir-laptop:~$ ps aux | grep pcscd
kadir     1933  0.0  0.0   5548   800 pts/0    S+   12:43   0:00 grep --color=auto pcscd
kadir@kadir-laptop:~$




Mesaj tekrarı yüzünden mesajınız birleştirildi. Bu mesajın gönderim tarihi : [time]14 Şubat 2012 - 12:47:54[/time]
Kod: [Seç]
kadir@kadir-laptop:~$ dpkg -l | grep pcscd
ii  pcscd                                  1.7.2-2ubuntu2                          Middleware to access a smart card using PC/SC (daemon side)
kadir@kadir-laptop:~$ dpkg -l | grep libccid
ii  libccid                                1.4.4-1                                 PC/SC driver for USB CCID smart card readers
kadir@kadir-laptop:~$ dpkg -l | grep sun-java
ii  sun-java6-bin                          6.26-1~lffl~oneiric~ppa                 Sun Java(TM) Runtime Environment (JRE) 6 (architecture dependent files)
ii  sun-java6-jre                          6.26-1~lffl~oneiric~ppa                 Sun Java(TM) Runtime Environment (JRE) 6 (architecture independent files)
ii  sun-java6-plugin                       6.26-1~lffl~oneiric~ppa                 Java(TM) Plug-in, Java SE 6
kadir@kadir-laptop:~$ ps aux | grep pcscd
kadir     2091  0.0  0.0   5548   800 pts/0    S+   12:47   0:00 grep --color=auto pcscd
kadir@kadir-laptop:~$

Uyarı: Lütfen çıktılarınız için kod etiketini kullanınız.
« Son Düzenleme: 14 Şubat 2012 - 12:50:24 Gönderen: burk »

« Yanıtla #31 : »
@yildiz2005,

@cagriemer'in önerisini takip etme imkanın oldu mu?

Çıktılarında gördüğüm, sisteminde kurulu olan paketler olması gerektiği gibi. Yalnız sürücü olarak, indirdiğin dosyadan çıkan ikinciyi kurmayıp sadece ccid olan sürücüyü kurarak işlemlere devam edelim.

Akis'i uçbirimden alttakiyle çalıştırabilirsin:

Kod: [Seç]
java -jar /usr/share/akia/akia.jar
Verdiğin çıktılarda gözüme ilk çarpan pcscd servisinin çalışmıyor oluşu. Bunun sebeplerinden biri sürücüyü düzgün kuramamış olman olabilir. Elle çalıştırmak için:

Kod: [Seç]
sudo /etc/init.d/pcscd start
Akis'i bir tarafa bırakırsak -ki kendisi bende de her zaman istediğim gibi çalışmıyor- turkiye.gov.tr adresine girmekte yaşadığın sıkıntı nedir? Ne tür bir hata alıyorsun girmeye çalıştığında? Yine PKCS ile ilgili mi bu hata?
Umut en büyük kötülüktür; işkenceyi uzatır. - F.N.

Bir şey ne ise odur, bu kadar. Öyleyse, iki şey arasında bağdaşıklık varsa, bu aralarında iletişim kuruyorlar demek değildir.
"... kavrayışını bilgi ile derinleştir ..."
PF @ ST

« Yanıtla #32 : »
Merhaba,

Barolar Birliğinin vermiş olduğu HID Omnikey 6121 v2 kart okuyucu Tübitak'ın ürettiği e-imzayı kullanıyorum.

Win7'de sorunsuz çalışmaktayken, Ubuntu 10.04 üzerinde bir türlü çalıştıramadım.  :-\

Bu konuda bilginiz var mı acaba?

Şimdiden teşekkür ederim.
« Son Düzenleme: 12 Mart 2012 - 01:42:48 Gönderen: heartsmagic »

« Yanıtla #33 : »
@Turbo,

Omnikey libccid ile desteklenen okuyucular arasında görünüyor. @yildiz2005'te olduğu gibi sizin sisteminize de benzer şekilde bakmak gerekiyor:

http://forum.ubuntu-tr.net/index.php?topic=22979.msg383501#msg383501 vd.

Her ne kadar okuyucular farklı olsa da sorunun benzer çıkması açısından, @yildiz2005 ile en son eposta üzerinden görüştüğümde kamusm teknik elemanlarını sorundan haberdar ettiğini belirtmişti.
Umut en büyük kötülüktür; işkenceyi uzatır. - F.N.

Bir şey ne ise odur, bu kadar. Öyleyse, iki şey arasında bağdaşıklık varsa, bu aralarında iletişim kuruyorlar demek değildir.
"... kavrayışını bilgi ile derinleştir ..."
PF @ ST

« Yanıtla #34 : »
Verdiğiniz bilgilerden dolayı özellikle bu siteye ve özgür yazılım dünyasına emeği geçen herkese sonsuz saygılarımı sunarım.
Bir avukat olarak işimiz ile ilgili bilgsayarlarımızda mutlaka olması gereken iki adet olmazsa olmazımız vardır, bu ikisi de biz avukatların tercihi değil bize dayatılan bir zorunluluktur. Bilgisayarlarımızda bulunması gereken iki yazılımdan biri UYAP DÖKÜMAN EDİTÖRÜDÜR http://www.uyap.gov.tr/destek/uyap.zip bağlantısından indirilebilir. bir java platform uygulaması olan bu yazılım basit kararsız işe yaramaz hatalarla dolu bir metin editörüdür.İkinci yazılım ise Elektronik imza uygulamasıdır. https://avukat.uyap.gov.tr/portal_baslangic.uyap?param=user&value=a&login_type=e adresinden UYAP sistemine giriş için elektronik imza ile giriş yapmamız gerekiyor. Ben burada yazılanları LUBUNTU 13.04 yüklü bilgisayarımda denedim ancak imzalama için çıkan java uygulamacağı  bir iki saniye sonra kendiliğinden kapanıyor. AKIŞ yazılımını çalıştırdığımda da aynı şekilde bir iki saniyede kapanıyor, imzalama işlemini tamamlayamıyorum. Bana yardımcı olursanız çok sevinirm. İşyerimdeki netbook bilgisarayarımıza lubuntu kurulumu yaptık başarılı olursak 5 bilgisayarımızın tamamında linux'a göç etmek istiyoruz.

Sistemimiz
32 bit Samsung Nc10 netbook
Lubuntu 13.04
 
« Son Düzenleme: 26 Eylül 2013 - 16:14:55 Gönderen: arkhon »

« Yanıtla #35 : »
@arkhon, Kart okuyucunuz nedir?
Kod: [Seç]
sudo update-alternatives --display java çıktısına bakayım.

« Yanıtla #36 : »
kart okuyucum OmniKey  6121

yalnız farkettim ki sistemimde java kurulamamış

Kod: [Seç]
omer@omer-NC10:~$ sudo apt-get install sun-java6-jre sun-java6-plugin
[sudo] password for omer:
Paket listeleri okunuyor... Bitti
Bağımlılık ağacı oluşturuluyor       
Durum bilgisi okunuyor... Bitti     
sun-java6-jre paketi mevcut değil, ancak başka paket içerisinden işaret edilmiş.
Bu durum bu paketin kayıp, eskidiği için bırakılmış, ya da başka bir
yazılım kaynağında bulunduğu anlamına gelebilir.
N: Geçersiz bir dosya uzantısı içerdiğinden 'ferramroberto-java-raring.list.save' dosyası '/etc/apt/sources.list.d/' dizininde yoksayıldı.
N: Geçersiz bir dosya uzantısı içerdiğinden 'opera.list.save' dosyası '/etc/apt/sources.list.d/' dizininde yoksayıldı.
N: Geçersiz bir dosya uzantısı içerdiğinden 'ferramroberto-java-raring.list.save' dosyası '/etc/apt/sources.list.d/' dizininde yoksayıldı.
N: Geçersiz bir dosya uzantısı içerdiğinden 'opera.list.save' dosyası '/etc/apt/sources.list.d/' dizininde yoksayıldı.
E: 'sun-java6-jre' paketi için kurulum adayı yok
E: sun-java6-plugin paketi bulunamadı



istediğiniz çıktı da şöyle

Kod: [Seç]
omer@omer-NC10:~$ sudo update-alternatives --display java
update-alternatives: error: no alternatives for java
omer@omer-NC10:~$ ^C

« Son Düzenleme: 26 Eylül 2013 - 22:13:14 Gönderen: if »

« Yanıtla #37 : »
Kod: [Seç]
sudo apt-get install ppa-purge
sudo ppa-purge ppa:ferramroberto/java
sudo apt-get autoremove
sudo sh -c "echo 'Dir::Ignore-Files-Silently:: \"(.save|.distupgrade)$\";' > /etc/apt/apt.conf.d/99ignoresave"
komutları ardından burdan[1] java kurulumu yapın.

[1] http://forum.ubuntu-tr.net/index.php?topic=30013.0

« Yanıtla #38 : »
sizin cevabı beklemeden [1] http://forum.ubuntu-tr.net/index.php?topic=30013.0 anlatıldığı şekilde java kurulu yapmıştım.


Kod: [Seç]
omer@omer-NC10:~$ sudo update-alternatives --display java
[sudo] password for omer:
java - otomatik kip
  *bağlantı currently points to /usr/lib/jvm/java-6-openjdk-i386/jre/bin/java
/usr/lib/jvm/java-6-openjdk-i386/jre/bin/java - priority 1061
  slave java.1.gz: /usr/lib/jvm/java-6-openjdk-i386/jre/man/man1/java.1.gz
Current 'best' version is '/usr/lib/jvm/java-6-openjdk-i386/jre/bin/java'.
omer@omer-NC10:~$
« Son Düzenleme: 26 Eylül 2013 - 22:59:45 Gönderen: if »

« Yanıtla #39 : »
Sun java görünmüyor nedense.
Kod: [Seç]
dpkg -l | grep sun-java6 çıktısına bakayım.

Komut ve çıktıları için kod etiketi kullanırsanız memnun olurum.

« Yanıtla #40 : »
şöyle

Kod: [Seç]
omer@omer-NC10:~$ dpkg -l | grep sun-java6
omer@omer-NC10:~$

« Yanıtla #41 : »
Kurulmamış görünüyor @arkhon. Benim hatam. Oradaki PPA'da burdaki eski PPA ile aynıymış. Oracle Java 7 kurulumunu yapın.

« Yanıtla #42 : »
Hocam bir daha gözden geçirdim de sanırım sun java kuruldu ancak halen akış açılmıyor

Kod: [Seç]
omer@omer-NC10:~$ dpkg -l | grep sun-java6
ii  sun-java6-bin                        6.26-1~lffl~oneiric~ppa                i386         Sun Java(TM) Runtime Environment (JRE) 6 (architecture dependent files)
ii  sun-java6-jdk                        6.26-1~lffl~oneiric~ppa                i386         Sun Java(TM) Development Kit (JDK) 6
ii  sun-java6-jre                        6.26-1~lffl~oneiric~ppa                all          Sun Java(TM) Runtime Environment (JRE) 6 (architecture independent files)
ii  sun-java6-plugin                     6.26-1~lffl~oneiric~ppa                i386         Java(TM) Plug-in, Java SE 6
omer@omer-NC10:~$ dpkg -l | grep sun-java6
ii  sun-java6-bin                        6.26-1~lffl~oneiric~ppa                i386         Sun Java(TM) Runtime Environment (JRE) 6 (architecture dependent files)
ii  sun-java6-jdk                        6.26-1~lffl~oneiric~ppa                i386         Sun Java(TM) Development Kit (JDK) 6
ii  sun-java6-jre                        6.26-1~lffl~oneiric~ppa                all          Sun Java(TM) Runtime Environment (JRE) 6 (architecture independent files)
ii  sun-java6-plugin                     6.26-1~lffl~oneiric~ppa                i386         Java(TM) Plug-in, Java SE 6


« Yanıtla #43 : »
Kod: [Seç]
sudo update-alternatives --config java komutunu vererek sun-java'yı seçin. Seçim işleminden sonra tekrar dener misiniz?

« Yanıtla #44 : »
evet seçimi yaptım akış programı kartı gördü ancak PKCS15 Yapısı yüklü değil uyarısı alıyorum


Kod: [Seç]
omer@omer-NC10:~$ sudo update-alternatives --config java
[sudo] password for omer:
There are 2 choices for the alternative java (providing /usr/bin/java).

  Seçim       Yol                                            Öncelik   Durum
------------------------------------------------------------
* 0            /usr/lib/jvm/java-6-openjdk-i386/jre/bin/java   1061      otomatik kip
  1            /usr/lib/jvm/java-6-openjdk-i386/jre/bin/java   1061      manuel kip
  2            /usr/lib/jvm/java-6-sun/jre/bin/java            63        manuel kip

Şuanki seçimi tutmak için enter'e basın [*], ya da seçim numarasını yazın: 2
update-alternatives: /usr/lib/jvm/java-6-sun/jre/bin/java kullanılarak /usr/bin/java (java) sağlamak için manuel kip durumunda
omer@omer-NC10:~$



« Son Düzenleme: 26 Eylül 2013 - 23:34:59 Gönderen: arkhon »

« Yanıtla #45 : »
Tamam, Sun java seçilmiş.

« Yanıtla #46 : »
evet seçimi yaptım akış programı kartı gördü ancak PKCS15 Yapısı yüklü değil uyarısı alıyorum

« Yanıtla #47 : »
@arkhon,
Kod: [Seç]
sudo apt-get install gnupg-pkcs11-scd komutundan sonra durum nedir?

« Yanıtla #48 : »
bende bir dönem akis yüklemesinde yaşadığım sorunlar da benzer hata almış idim.

Ancak debian paket buldum. akis 1.5 bunu yüklemeyi bir denerseniz sevinirim.

https://www.dropbox.com/s/s4k6adh49xom8lp/akis_1.5_i386.deb


« Yanıtla #49 : »
yalnız sıkıntı Akış programında değil @if arkadaşımızın yardımı ileAKIŞ şuanda düzgün çalışıyor ve kartı görüyor yalnız kart içerisine girip bilgileri almaya çalıştığımda PKCS15 yüklü değil uyarısı veriyor. Anladığım kadarı ile program Akıllı Kart Bilgilerine Ulaşmaya çalıştığında, sistemde gerekli kütüphaneler olmadığından bu uyarıyı veriyor. Şu anda işyerimde olduğumdan ancak akşam @if kardeşimin yardımı ile verdiği kodu uygulayıp kurmaya çalışacağım sonucu da elbette buradan paylaşacağım.


Mesaj tekrarı yüzünden mesajınız birleştirildi. Bu mesajın gönderim tarihi : [time]27 Eylül 2013 - 19:53:39[/time]
sorunum halen devam ediyor
Kod: [Seç]
omer@omer-NC10:~$ sudo apt-get install gnupg-pkcs11-scd
[sudo] password for omer:
Sorry, try again.
[sudo] password for omer:
Paket listeleri okunuyor... Bitti
Bağımlılık ağacı oluşturuluyor
Durum bilgisi okunuyor... Bitti
Aşağıdaki ek paketler de kurulacak:
  libassuan0 libpkcs11-helper1
Aşağıdaki YENİ paketler kurulacak:
  gnupg-pkcs11-scd libassuan0 libpkcs11-helper1
0 paket yükseltilecek, 3 yeni paket kurulacak, 0 paket kaldırılacak ve 0 paket yükseltilmeyecek.
109 kB arşiv dosyası indirilecek.
Bu işlem tamamlandıktan sonra 356 kB ek disk alanı kullanılacak.
Devam etmek istiyor musunuz [E/h]? e
Alınıyor:1 http://tr.archive.ubuntu.com/ubuntu/ raring/main libassuan0 i386 2.0.3-1 [34,2 kB]
Alınıyor:2 http://tr.archive.ubuntu.com/ubuntu/ raring/main libpkcs11-helper1 i386 1.09-1build1 [47,6 kB]
Alınıyor:3 http://tr.archive.ubuntu.com/ubuntu/ raring/universe gnupg-pkcs11-scd i386 0.7.3-1 [27,1 kB]
2 sn.'de 109 kB alındı (36,9 kB/s) 
Önceden seçili olmayan libassuan0:i386 paketi seçiliyor.
(Veritabanı okunuyor... mevcut 138086 dosya veya klasör yüklü.)
libassuan0:i386 paketi açılıyor (.../libassuan0_2.0.3-1_i386.deb dosyasından) ...
Önceden seçili olmayan libpkcs11-helper1:i386 paketi seçiliyor.
libpkcs11-helper1:i386 paketi açılıyor (.../libpkcs11-helper1_1.09-1build1_i386.deb dosyasından) ...
Önceden seçili olmayan gnupg-pkcs11-scd paketi seçiliyor.
gnupg-pkcs11-scd paketi açılıyor (.../gnupg-pkcs11-scd_0.7.3-1_i386.deb dosyasından) ...
man-db için tetiklemeler işleniyor ...
libassuan0:i386 (2.0.3-1) ayarlanıyor...
libpkcs11-helper1:i386 (1.09-1build1) ayarlanıyor...
gnupg-pkcs11-scd (0.7.3-1) ayarlanıyor...
libc-bin için tetiklemeler işleniyor ...
ldconfig deferred processing now taking place
N: Geçersiz bir dosya uzantısı içerdiğinden 'ferramroberto-java-raring.list.save' dosyası '/etc/apt/sources.list.d/' dizininde yoksayıldı.
N: Geçersiz bir dosya uzantısı içerdiğinden 'opera.list.save' dosyası '/etc/apt/sources.list.d/' dizininde yoksayıldı.
N: Geçersiz bir dosya uzantısı içerdiğinden 'ferramroberto-java-raring.list.save' dosyası '/etc/apt/sources.list.d/' dizininde yoksayıldı.
N: Geçersiz bir dosya uzantısı içerdiğinden 'opera.list.save' dosyası '/etc/apt/sources.list.d/' dizininde yoksayıldı.
omer@omer-NC10:~$

« Son Düzenleme: 27 Eylül 2013 - 20:33:15 Gönderen: arkhon »